package com.hfkj.service.spread;

import com.hfkj.entity.BsUserSpreadRel;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @className: BsUserSpreadRelService
 * @author: HuRui
 * @date: 2025/3/31
 **/
public interface BsUserSpreadRelService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsUserSpreadRel data);

    /**
     * 查询用户上级
     * @param userId
     * @return
     */
    BsUserSpreadRel getDetailByUser(Long userId);

    /**
     * 查询团队列表
     * @param param
     * @return
     */
    List<HashMap<String,Object>> getTeamList(Map<String,Object> param);

    /**
     * 查询推广用户列表
     * @param param
     * @return
     */
    List<HashMap<String,Object>> getUserSpreadList(Map<String,Object> param);
}
